%define ver_major 2.26

Name: gnome
Version: %ver_major.3
Release: alt2

Summary: GNOME 2 Desktop installers
License: %gpl3plus
Group: Graphical desktop/GNOME

BuildArch: noarch

BuildPreReq: rpm-build-licenses

# The following are required versions of those packages that
# do not follow GNOME version numbers.
## Core components
%define session_ver %ver_major.0
%define librarian_ver 0.8.0
## Applications
%define ncb_ver 2.25.3
%define network_manager_ver 0.7.0
%define terminal_ver %ver_major
%define pidgin_ver 2.5.1
%define gedit_plugins_ver %ver_major
%define gnome_nettool_ver %ver_major
%define gud_ver %ver_major
# No GDM 2.22, as for the release of GNOME 2.22.1...
%define gdm_ver 2.20.8
## Engines, themes
%define engines_ver 2.12.0
%define icon_theme_ver %ver_major
%define themes_ver %ver_major
%define gtk_theme_prefix gtk2-theme
%define wm_theme_prefix metacity-theme
%define gnome_theme_prefix gnome-theme
## a11y
%define gok_ver 1.4.0

%define default_gnome_theme		%gnome_theme_prefix-clearlooks >= %ver_major
%define default_gnome_theme_name		Glossy
%define default_wm_theme		%wm_theme_prefix-clearlooks
%define default_wm_theme_name		Clearlooks
# TODO: Create a gtk2-themes-default virtual package;
# libgtk-engines-default has little sense to an end user.
%define more_gtk2_themes		libgtk-engine-thinice, libgtk-engines-default, libgtk-engine-crux
%define more_wm_themes			%wm_theme_prefix-metabox %wm_theme_prefix-clearlooks

BuildPreReq: libGConf-devel >= %ver_major

%description
A set of virtual packages for GNOME Desktop version 2 installation.

%package minimal
Summary: GNOME 2 Desktop minimal installer
Group: Graphical desktop/GNOME
Obsoletes: %name-sisyphus-minimal
Provides: %name-sisyphus-minimal = %version-%release
PreReq: GConf >= %ver_major

# GNOME Desktop Core
Requires: gnome-session >= %session_ver
Requires: gnome-desktop >= %ver_major
Requires: gnome-panel >= %ver_major
Requires: gnome-control-center >= %ver_major
# Window manager
Requires: gnome-wm
#Requires: metacity-gnome >= %ver_major (see altbug #15947)
# Help browser
Requires: yelp >= %ver_major
Requires: gnome-menus >= %ver_major

# Panel applets
Requires: gnome-applets-drivemount >= %ver_major
Requires: gnome-applets-multiload >= %ver_major
## keyboard indicator and switcher
Requires: gnome-applets-gswitchit >= %ver_major

# GNOME Utilities
Requires: gnome-search-tool >= %ver_major
Requires: gnome-system-monitor >= %ver_major
Requires: gucharmap >= %ver_major
Requires: bug-buddy >= %ver_major
# gnome-calculator is provided by gcalctool and galculator
Requires: gnome-calculator

# Applications
## Default file manager
Requires: nautilus >= %ver_major
Requires: gnome-mount-nautilus-properties
## Default terminal emulator
Requires: gnome-terminal >= %terminal_ver
## Default archiving tool
Requires: file-roller >= %ver_major
## Default text editor
Requires: gedit >= %ver_major

# Look & Feel
## Default themes
Requires: gnome-icon-theme >= %icon_theme_ver
Requires: %default_gnome_theme
Requires: %default_wm_theme

## Screensaver
Requires: screen-saver-frontend

# And, of course, the documentation
Requires: gnome-user-docs >= %gud_ver

%description minimal
This virtual package installs GNOME Desktop with minimum components. It
installs only a few applets, necessary utilities and a minimal set of themes.
Doesn't install games and media programs.

## =========================================================================

%package default
Summary: GNOME 2 Desktop installer for optimal user's requirements
Group: Graphical desktop/GNOME
Obsoletes: %name-sisyphus-default
Provides: %name-sisyphus-default = %version-%release
Requires: gnome-minimal = %version-%release

## Package manager (front-end for APT)
Requires: synaptic
## Password keeper
Requires: gnome-keyring
# Encryption keys management
Requires: seahorse
Requires: seahorse-agent
## All gvfs-backends
Requires: gvfs-backends
## Display manager (gdm or gdm2.20)
Requires: gnome-dm
#Requires: gdm >= %gdm_ver
## Default web-browser (firefox or galeon?)
Requires: epiphany >= %ver_major
## Epiphany extensions
Requires: epiphany-extensions
## Default mailer
Requires: evolution >= %ver_major
## Default messenger
Requires: pidgin >= %pidgin_ver
## Default RSS-reader
Requires: liferea
Requires: liferea-xulrunner
## Default document reader (currently pdf, ps, tiff, dvi)
Requires: evince >= %ver_major
## and E-Book Reader
Requires: fbreader

## Applets
Requires: gnome-applets >= %ver_major
## keyboard indicator applet plugins and flags
Requires: gnome-applets-gswitchit-plugins flags
# More applets, still on their way to Sisyphus.
Requires: gnome-applets-extra-deskbar >= %ver_major
Requires: gnome-applets-extra-fast-user-switch >= %ver_major

# Utilities
Requires: gnome-utils >= %ver_major
Requires: gconf-editor >= %ver_major

## Let's have nice notifications
Requires: notification-daemon

# Applications
## Plugins for gedit
Requires: gedit-plugins >= %gedit_plugins_ver
## Stock multimedia applications
Requires: gnome-media >= %ver_major
## Default music player
Requires: rhythmbox
## Default media player
Requires: totem
## Stock GNOME games
Requires: gnome-games >= %ver_major
## Default image viewer
Requires: eog >= %ver_major
## Default CD/DVD burning interface
Requires: brasero >= %ver_major

# Look & Feel
## All default themes
Requires: metacity-themes-default >= %ver_major
Requires: gnome-themes-default >= %ver_major
Requires: x-cursor-theme-jimmac

# More screensavers
Requires: gnome-screensaver-modules-xscreensaver

%description default
This virtual package installs GNOME Desktop for an average user's
requirements. It installs components from gnome-minimal package, some
games, media programs such as mixer, audio and video players, additional
themes, and some other programs that comprise GNOME Desktop.
## =========================================================================

%package default-ru
Summary: GNOME 2 Desktop installer for optimal user's requirements, russian part
Group: Graphical desktop/GNOME
## spell checking dictionary
Requires: hunspell-ru

%description default-ru
This virtual package installs spell checking dictionary for russian language

## =========================================================================

%package full
Summary: GNOME 2 Desktop full installer
Group: Graphical desktop/GNOME
Obsoletes: %name-sisyphus-full
Provides: %name-sisyphus-full = %version-%release
Requires: gnome-default = %version-%release

# Menu editor
Requires: alacarte
# More extra panel applets
## Applet that shows traffic on a network device
Requires: gnome-applets-extra-netspeed
## GNOME Sensors Applet
Requires: gnome-applets-extra-sensors

# Sound & graphics & video
## All Rhythmbox plugins
Requires: rhythmbox-plugins
## module player
Requires: modplugplay
## Applications for taking pictures
## and videos from a webcam
Requires: cheese
# GTK UVC video viewer
Requires: guvcview
## FM-tuner
Requires: gnomeradio
## CD-ripper
Requires: grip
## Image viewer, browser and simple editor
Requires: gthumb
## Non-linear DV editor
Requires: kino
Requires: dvgrab
## SANE (Scanner Access Now Easy) frontend
Requires: xsane

# Networking
## Utilities

## frontend for various networking tools
Requires: gnome-nettool >= %gnome_nettool_ver
## VNC server for the GNOME Desktop
Requires: vino
## VNC client for the GNOME Desktop
Requires: vinagre
## Internet telephon
Requires: ekiga
## Client for ed2k network
Requires: aMule

# Windows (TM) communications
## RDP
Requires: rdesktop
## NX
Requires: freenx
# Requires: nxlaunch

# Disks management
Requires: gparted
Requires: consolehelper

# Look & Feel
## 3D screensavers
#Requires: gnome-screensaver-modules-xscreensaver-gl

%description full
This virtual package installs full GNOME Desktop except components from
gnome-mobile and gnome-a11y packages.

## =========================================================================
%package mobile
Summary: GNOME 2 Desktop applications for mobile users
Group: Graphical desktop/GNOME
Requires: gnome-minimal = %version-%release

Requires: gnome-power-manager >= %ver_major
Requires: NetworkManager-gnome >= %network_manager_ver
## Bluetooth pairing and control applet
Requires: bluez-gnome

%description mobile
This virtual package installs components from gnome-minimal package and
applications useful for mobile users -- panel applet for wireless
networks, GNOME Power Manager that takes care of power management and
bluetooth pairing and control applet

## =========================================================================
%package office
Summary: GNOME 2 Desktop applications for real office users
Group: Graphical desktop/GNOME

## OpenOffice.org and GNOME extensions for it
### Some openoffice.org-langpack-* packages need to be added to distribution profiles
Requires: openoffice.org-gnome
## Diagram creation program
Requires: dia
## International dictionary (synchronize this section in -office package)
# GUI
Requires: stardict-gnome
# Some language independent StarDict dictionaries
Requires: stardict-engcom

%description office
This virtual package installs OpenOffice.org office suite with GNOME extensions and
some applicatios necessary for every office user.

## =========================================================================

%package office-ru
Summary: russian stardict dictionaries for gnome-office(-light) packages
Group: Graphical desktop/GNOME
Requires: stardict-mueller7
Requires: stardict-slovnyk_en-ru
Requires: stardict-slovnyk_ru-en

%description office-ru
This virtual package installs stardict dictionaries for russian language

## =========================================================================
%package office-light
Summary: GNOME 2 Desktop applications for real office users (light version)
Group: Graphical desktop/GNOME

## Word processor
Requires: abiword
## Spreadsheet program
Requires: gnumeric
## Vector Drawing Application
Requires: inkscape
## Diagram creation program
Requires: dia
## International dictionary (synchronize this section in -office package)
# GUI
Requires: stardict-gnome
# Some StarDict dictionaries
Requires: stardict-engcom

## Presentation tool ???

%description office-light
This virtual package installs applications necessary for every office
users such as word processor (Abiword), spreadsheet editor (Gnumeric) and
some other usefull programs

## =========================================================================
%package a11y
Summary: GNOME 2 Desktop accessibility applications
Group: Graphical desktop/GNOME
# A synonym
Provides: sisyphus-accessibility
Obsoletes: %name-sisyphus-accessibility 
Provides: %name-sisyphus-accessibility = %version-%release
Requires: gnome-minimal = %version-%release

Requires: gok >= %gok_ver
Requires: gnome-mag
Requires: dasher
Requires: gnome-themes-accessibility
Requires: orca >= %ver_major

%description a11y
This virtual package installs GNOME Desktop accessibility applications.
These include an on-screen keyboard, a screen reader, Dasher - an
innovative graphical input tool, and Magnifier (the name says for
itself).

%post minimal
# FIXME: Put this into some schema please.
# moved to libgnome
#%gconf2_set string /desktop/gnome/interface/gtk_theme %default_gnome_theme_name
%gconf2_set string /apps/metacity/general/theme %default_wm_theme_name

%files minimal
%files default
%files default-ru
%files full
%files office
%files office-ru
%files office-light
%files mobile
%files a11y

%changelog
* Fri Jul 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt2
- restored orca in -a11y, ekiga in -full
- n-c-b replaced by brasero
- new -default-ru and -office-ru language dependent packages (closes #20244)

* Fri Jul 03 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.3-alt1
- new version, updated versions of required packages.
- seahorse moved to default, added seahorse-agent 

* Wed Dec 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt2
- requires gnome-dm

* Sat Oct 11 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.1-alt1
- new version, updated versions of required packages.
- added consolehelper to use with gparted
- gnome-mount-nautilus-properties -> -minimal
- gnome-minimal requires screen-saver-frontend (not g-s-s),
    -full don't requires gnome-screensaver-modules-xscreensaver-gl
    (altbug #16689)
- gnome-minimal requires gnome-wm, not metacity (altbug #15947)
- temporarily removed orca and ekiga

* Wed Sep 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt7
- epiphany-extensions, x-cursor-theme-jimmac-> -default

* Thu Aug 28 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt6
- fbreader, synaptic -> default
- xsane, grdesktop, freenx, grip, guvcview -> -full
- bluez-gnome -> -mobile
- stardict with dictionaries -> -office*
- dia -> -office too
- -mobile require -minimal, not -default; -office* not depend on any
  gnome- packages (ktirf@).

* Wed Aug 20 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt5
- new -office{,-light} packages. OO moved to -office, in office-light
  00 replaced by abiword+gnumeric+inkscape and dia.
- ekiga, aMule, kino+dvgrab -> -full
- aspell-ru-lebedev -> default

* Tue Aug 19 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt4
- new -mobile package
- move NetworkManager-gnome and gnome-power-manager
  from -default to -mobile (altbug #16737)
- gnome-keyring -> -default

* Sun Aug 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt3
- gnome-screensaver-modules-xscreensaver -> -default
- gnome-screensaver-modules-xscreensaver-gl -> full
- liferea{,-xulrunner} -> default

* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt2
- added alacarte to -full
- new packages obsolete corresponding old packages
- raise gnome-session version

* Thu Jul 24 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.3-alt1
- spec cleanup
- reject "sisyphus" from packages names (ktirf@)
- updated versions of required packages
- gnopernicus replaced by orca in -a11y
- xscreensaver-gnome replaced by gnome-screensaver
- gnome-settings removed
- added gvfs-backends to -default (altbug #15941)
- added gswitchit-plugins and flags to -default (ktirf@)
- added NetworkManager, evince231 to -default
- -full package restored
- added cheese to -full package (altbug #15450)
- added vino to -full package (altbug #15382)
- added vinagre to -full package (altbug #15451)

* Wed Apr 09 2008 Alexey Rusakov <ktirf@altlinux.org> 2.22.1-alt1
- Relaxed the version of gdm (gdm 2.22 doesn't exist yet).

* Wed Apr 09 2008 Alexey Rusakov <ktirf@altlinux.org> 2.22.1-alt0.1
- gnome-settings package gone for good.

* Tue Apr 08 2008 Alexey Rusakov <ktirf@altlinux.org> 2.22.0-alt0.2
- Relaxed the version of gnome-utils (gnome-utils 2.22 doesn't exist).

* Fri Mar 21 2008 Alexey Rusakov <ktirf@altlinux.org> 2.22.0-alt0.1
- New GNOME version.
- Removed gnome-volume-manager - Nautilus deals with removable media from
  now on.
- Commented out options for different distributions, this package is going
  to be for Sisyphus only, as a base for various distribution-specific
  packages.

* Thu Dec 27 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt0.2
- Required version of gnome-terminal has been relaxed (there was no
  gnome-terminal 2.20).

* Sun Nov 04 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt0.1
- New GNOME version.
- Changed the package license to %gpl3plus.

* Sun Jul 15 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0-alt0.1
- new version, updated the set and versions of required packages.

* Fri Jan 19 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.0-alt0.6
- added to -default GNOME VFS modules that are now in separate packages.

* Mon Oct 16 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt0.5
- use (for Sisyphus part, for the moment) theme names that comply with the
  themes policy draft.

* Sun Sep 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt0.1
- new version 2.16.0
- fixes concerned with engines/themes
- added some dependencies, some of them commented out while there no needed
  programs in Sisyphus.

* Sun Aug 13 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.0-alt0.1
- finished spec overhauling
- GNOME 2.16 beta

* Tue Jul 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- spec overhauled
- introduced binding to a common major version (many separate *_ver macros have gone then)
- moved some packages (incl. gdm, evolution and epiphany) from minimal to
  default set.
- removed -full package, most of its requirements have gone to the default set.

* Thu Mar 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- updated for newest versions.
- removed nautilus2-media, gnome-applets-modemlights,
  gnome-applets-cdplayer
- eog replaced by gthumb.

* Mon Jul 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- full-sisyphus requires gnome-applets-gswitchit-plugins,
  gtk-engines-full (vyt@, close #4687)

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Tue Dec 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1.1
- buildreqs GConf2 (close #3422).

* Fri Dec 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Sat Jun 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- doesn't require newest ugly terminal.

* Sun May 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- gnome2-utils-{calculator,character-map} replaced
  by gcalctool and gucharmap respectively.
- gnome2-games-freecell replaced by gnome2-games-sol

* Fri Feb 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2
- Requirements updated.
- gswitchit go back.

* Thu Feb  6 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2.0-alt1.1
- removed requires gnome-applets-extra-gswitchit
  Yuri, please stop unmets, I cannot build distribution

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- Requirements updated.
- more themes for gnome-default.
- gnome-degault requires nautilus-media.
- gnome-full requires galculator.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- Requirements updated.

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.6
- gnome-minimal requires xscreensaver-gnome, gnome-settings

* Sat Nov 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.5
- s/gnome-applets-gswitchit/gnome-applets-extra-gswitchit/
- Removed obsoleted nautilus components.

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.4
- Requirements updated.
- gnome2-utils-archive-generator replaced by file-roller.
- gnome-applets-gkb replaced by gnome-applets-gswitchit.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.3
- Removed obsoleted nautilus2-music-view component.
- Requirements updated.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.2
- Updated dependencies.

* Thu Oct 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.1
- First test release.
